#ifndef _fencer_game_world_h
#define _fencer_game_world_h

#include "behaviour_entity.h"

extern void game_world_init();
extern void game_world_close();

extern void game_world_add_entity(BehaviourEntity entity);
extern void game_world_destroy_entity(BehaviourEntity entity);

extern void game_world_update();
extern void game_world_draw();

#endif // !_fencer_game_world_h
